Bug 159039 - NumberFormatException: For input string: "t1t"
NumberFormatException: For input string: "t1t"
Status: VERIFIED FIXED
Product: connecteddeveloper
Classification: Unclassified
Component: Hudson
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Jesse Glick
issues@connecteddeveloper
http://statistics.netbeans.org/except...
EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-24 10:03 UTC by Jaromir Uhrik
Modified: 2009-04-05 18:13 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (538 bytes, text/plain)
2009-02-24 10:03 UTC, Jaromir Uhrik
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jaromir Uhrik 2009-02-24 10:03:01 UTC
Build: NetBeans IDE Dev (Build 090218)
VM: Java HotSpot(TM) Client VM, 1.5.0_16-133, Java(TM) 2 Runtime Environment, Standard Edition, 1.5.0_16-b06-284
OS: Mac OS X, 10.5.6, i386

User Comments:
juhrik: I have a hudson instance registered in IDE. Its "Autosynchronization time" property can be changed by propertysheet of hudson (go to Services view, select the hudson node and from popup menu select Properties). The property editor for "Autosynchronization time" property should not allow text as an input (it should be restricted to numbers). Otherwise when the autosynchronization is invoked the exception below appears...



Stacktrace: 
java.lang.NumberFormatException: For input string: "t1t"
        at java.lang.NumberFormatException.forInputString(NumberFormatException.java:48)
        at java.lang.Integer.parseInt(Integer.java:447)
        at java.lang.Integer.parseInt(Integer.java:497)
        at org.netbeans.modules.hudson.impl.HudsonInstanceImpl$Synchronization.run(HudsonInstanceImpl.java:462)
        at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:573)
        at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1005)
Comment 1 Jaromir Uhrik 2009-02-24 10:03:10 UTC
Created attachment 77281 [details]
stacktrace
Comment 2 Jesse Glick 2009-02-24 21:07:12 UTC
cdev #59c680d59004
Comment 3 Jaromir Uhrik 2009-02-27 16:03:47 UTC
Verified in:
Product Version: NetBeans IDE Dev (Build cdev-285-on-090227)
Java: 1.5.0_16; Java HotSpot(TM) Client VM 1.5.0_16-133
System: Mac OS X version 10.5.6 running on i386; MacRoman; en_US (nb)
Comment 4 Quality Engineering 2009-03-17 08:41:02 UTC
Integrated into 'main-golden', will be available in build *200903170201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/59c680d59004
User: Jesse Glick <jglick@netbeans.org>
Log: #159039: synch interval should be constrained to be of type Integer.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo